Blame SOURCES/0401-Defer-modprobe-of-HW-modules-until-udev-is-running.patch

a0a3b4
From 7335bd1e2358560ac461ef23715a0098f78330fb Mon Sep 17 00:00:00 2001
a0a3b4
From: Harald Hoyer <harald@redhat.com>
a0a3b4
Date: Fri, 24 Apr 2015 11:54:07 +0200
a0a3b4
Subject: [PATCH] Defer modprobe of HW modules, until udev is running
a0a3b4
a0a3b4
Also honor blacklisting
a0a3b4
a0a3b4
(cherry picked from commit 437dad70e9525a21da873652080bbd62a9d8b96a)
a0a3b4
---
a0a3b4
 modules.d/95fcoe/parse-fcoe.sh       | 5 ++---
a0a3b4
 modules.d/95iscsi/parse-iscsiroot.sh | 9 ++-------
a0a3b4
 2 files changed, 4 insertions(+), 10 deletions(-)
a0a3b4
a0a3b4
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
a0a3b4
index 745a78c..e8a77e0 100755
a0a3b4
--- a/modules.d/95fcoe/parse-fcoe.sh
a0a3b4
+++ b/modules.d/95fcoe/parse-fcoe.sh
a0a3b4
@@ -22,10 +22,9 @@
a0a3b4
 
a0a3b4
 
a0a3b4
 # BRCM: Later, should check whether bnx2x is loaded first before loading bnx2fc so do not load bnx2fc when there are no Broadcom adapters
a0a3b4
-[ -e /sys/bus/fcoe/ctlr_create ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
a0a3b4
+[ -e /sys/bus/fcoe/ctlr_create ] || modprobe -b -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
a0a3b4
 
a0a3b4
-modprobe bnx2fc >/dev/null 2>&1
a0a3b4
-udevadm settle --timeout=30
a0a3b4
+initqueue --onetime modprobe -b -q bnx2fc
a0a3b4
 
a0a3b4
 # FCoE actually supported?
a0a3b4
 [ -e /sys/bus/fcoe/ctlr_create ] || modprobe fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
a0a3b4
diff --git a/modules.d/95iscsi/parse-iscsiroot.sh b/modules.d/95iscsi/parse-iscsiroot.sh
a0a3b4
index 3d74ff2..80201d4 100755
a0a3b4
--- a/modules.d/95iscsi/parse-iscsiroot.sh
a0a3b4
+++ b/modules.d/95iscsi/parse-iscsiroot.sh
a0a3b4
@@ -89,16 +89,11 @@ if [ -z "$netroot" ] || ! [ "${netroot%%:*}" = "iscsi" ]; then
a0a3b4
 fi
a0a3b4
 
a0a3b4
 initqueue --unique --onetime --timeout /sbin/iscsiroot timeout "$netroot" "$NEWROOT"
a0a3b4
-
a0a3b4
-modprobe -b -q qla4xxx
a0a3b4
-modprobe -b -q cxgb3i
a0a3b4
-modprobe -b -q cxgb4i
a0a3b4
-modprobe -b -q bnx2i
a0a3b4
-modprobe -b -q be2iscsi
a0a3b4
+initqueue --onetime modprobe --all -b -q qla4xxx cxgb3i cxgb4i bnx2i be2iscsi
a0a3b4
 
a0a3b4
 # ISCSI actually supported?
a0a3b4
 if ! [ -e /sys/module/iscsi_tcp ]; then
a0a3b4
-    modprobe -q iscsi_tcp || die "iscsiroot requested but kernel/initrd does not support iscsi"
a0a3b4
+    modprobe -b -q iscsi_tcp || die "iscsiroot requested but kernel/initrd does not support iscsi"
a0a3b4
 fi
a0a3b4
 
a0a3b4
 if [ -n "$netroot" ] && [ "$root" != "/dev/root" ] && [ "$root" != "dhcp" ]; then